package org.dromara.main.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import org.dromara.common.mybatis.core.page.PageQuery;
import org.dromara.main.domain.MainPosition;
import org.dromara.main.domain.bo.MainPositionBo;
import org.dromara.main.domain.vo.MainPositionVo;

public interface IMainPositionService extends IService<MainPosition> {

    /**
     * 查询岗位分页列表
     */
    Page<MainPositionVo> queryPageList(MainPositionBo bo, PageQuery pageQuery);

    /**
     * 查询岗位详情
     */
    MainPositionVo queryById(Long id);

    /**
     * 新增岗位
     */
    Boolean insertPosition(MainPositionBo bo);

    /**
     * 修改岗位
     */
    Boolean updatePosition(MainPositionBo bo);
}
